commit:     46aab12af7417872522d4dea6188597ec87d2834
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 21 06:44:32 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jun 21 06:45:51 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46aab12a

dev-perl/DBD-Pg: add 3.16.3

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-perl/DBD-Pg/DBD-Pg-3.16.3.ebuild | 108 +++++++++++++++++++++++++++++++++++
 dev-perl/DBD-Pg/Manifest             |   1 +
 2 files changed, 109 insertions(+)

diff --git a/dev-perl/DBD-Pg/DBD-Pg-3.16.3.ebuild 
b/dev-perl/DBD-Pg/DBD-Pg-3.16.3.ebuild
new file mode 100644
index 000000000000..c6feda542e73
--- /dev/null
+++ b/dev-perl/DBD-Pg/DBD-Pg-3.16.3.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DIST_AUTHOR=TURNSTEP
+inherit perl-module
+
+DESCRIPTION="PostgreSQL database driver for the DBI module"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x64-solaris"
+
+RDEPEND="
+       virtual/perl-version
+       >=dev-perl/DBI-1.614.0
+       dev-db/postgresql:*
+"
+DEPEND="
+       dev-db/postgresql:*
+"
+BDEPEND="
+       ${RDEPEND}
+       >=virtual/perl-ExtUtils-MakeMaker-6.580.0
+       test? (
+               virtual/perl-File-Temp
+               >=virtual/perl-Test-Simple-0.880.0
+               virtual/perl-Time-HiRes
+       )
+"
+
+PERL_RM_FILES=(
+       "t/00_signature.t"
+)
+
+src_prepare() {
+       postgres_include="$(readlink -f "${EPREFIX}"/usr/include/postgresql)"
+       postgres_lib="${postgres_include//include/lib}"
+       # Fall-through case is the non-split postgresql
+       # The active cases instead get us the matching libdir for the 
includedir.
+       for i in lib lib64 ; do
+               if [ -d "${postgres_lib}/${i}" ]; then
+                       postgres_lib="${postgres_lib}/${i}"
+                       break
+               fi
+       done
+
+       # env variables for compilation:
+       export POSTGRES_INCLUDE="${postgres_include}"
+       export POSTGRES_LIB="${postgres_lib}"
+       perl-module_src_prepare
+}
+
+src_test() {
+       local MODULES=(
+               "Bundle::DBD::Pg v${PV}"
+               "DBD::Pg v${PV}"
+       )
+       local failed=()
+
+       local dep
+       for dep in "${MODULES[@]}"; do
+               ebegin "Compile testing ${dep}"
+                       perl -Mblib="${S}" -M"${dep} ()" -e1 #||
+                       #die "Could not load ${dep}"
+               eend $? || failed+=( "$dep" )
+       done
+
+       if [[ ${failed[@]} ]]; then
+               echo
+               eerror "One or more modules failed compile:";
+               for dep in "${failed[@]}"; do
+                       eerror "  ${dep}"
+               done
+               die "Failing due to module compilation errors";
+       fi
+
+       local LIVEDB_TESTS=(
+               "t/01connect.t"
+               "t/02attribs.t"
+               "t/03dbmethod.t"
+               "t/03smethod.t"
+               "t/04misc.t"
+               "t/06bytea.t"
+               "t/07copy.t"
+               "t/08async.t"
+               "t/09arrays.t"
+               "t/12placeholders.t"
+               "t/20savepoints.t"
+               "t/30unicode.t"
+       )
+       if [[ ! -v DBI_DSN ]]; then
+               ewarn "Functional database tests disabled due to lack of 
configuration."
+               ewarn "Please set the following environment variables values 
pertaining to a"
+               ewarn "pre-configured Postgres installation in order for tests 
to work:"
+               ewarn "  DBI_DSN  - A DBI-compatible connection string for a 
Postgres Database"
+               ewarn "             ( eg: dbi:Pg:dbname=testdb )"
+               ewarn "  DBI_USER - A Postgres Database Username"
+               ewarn "  DBI_PASS - A Postgres Database Password"
+               ewarn ""
+               ewarn "For details, visit:"
+               ewarn " 
https://wiki.gentoo.org/wiki/Project:Perl/maint-notes/dev-perl/DBD-Pg";
+               perl_rm_files "${LIVEDB_TESTS[@]}"
+       fi
+
+       # Parallel testing breaks database access
+       DBDPG_TEST_ALWAYS_ENV=1 DIST_TEST="do" perl-module_src_test
+}

diff --git a/dev-perl/DBD-Pg/Manifest b/dev-perl/DBD-Pg/Manifest
index f7b175c430e5..9720dff96fe0 100644
--- a/dev-perl/DBD-Pg/Manifest
+++ b/dev-perl/DBD-Pg/Manifest
@@ -1 +1,2 @@
 DIST DBD-Pg-3.15.0.tar.gz 284379 BLAKE2B 
e3d8d5a2e3339c88f92dc24cca47296b8b2e597dcb81f2645180dd90b27873f209728dc0ac320e493b573c73efb54292e89370a628fc304bf319e237e04b1912
 SHA512 
67912da5cda42d198cdffa3f5c93267ed9da681c837fd8a9b8c6a13873a461b1123ce0a8e1f4f4398264f57ead35950b4945018e6cead14c903a809a298aecb9
+DIST DBD-Pg-3.16.3.tar.gz 287011 BLAKE2B 
43e51843ccfc19d70f0cd53e00080d07257cd775469c064fe30c341cf6ca991549ea0a6d432fd2c18a21cdf47e2c9fec73b077e5cce1d4f487d883f29f20bfe0
 SHA512 
5f703ebc18f09eec38246955c827324111d32a10a28d311de81e804dc10c49562e93280a7fb594dd8bdb506e65c66442b7f783c5edc697cd50a18019566d96b2

Reply via email to